\documentclass[11pt,a4paper]{article}

\usepackage{amssymb, amsthm, enumerate, amsmath, pictexwd, mathrsfs, ../../yomcat, ../../diagrams}

\pagestyle{empty}

\theoremstyle{definition}
\newtheorem{Q}{Question}
\newtheorem*{sol}{Solution}
\newtheorem*{solution}{Solution}

\setlength\arraycolsep{2pt}
\setlength\headheight{0pt}
\setlength\headsep{0pt}
\setlength\textwidth{400pt}
\setlength\marginparwidth{0pt}

\makeatletter
\def\imod#1{\allowbreak\mkern10mu({\operator@font mod}\,\,#1)}
\makeatother

\setlength{\parskip}{1ex}
\setlength{\parindent}{0pt}

\begin{document}

\begin{center}
{\bf Victoria University of Wellington}\\[1ex]
{\bf School of Mathematics, Statistics \& Operations Research}\\
\end{center}

\hrule
MATH 409 \hfill
Assignment 7 \hfill
Michael Welsh (301012788)
\vspace{1ex}\hrule\vspace{1ex}

\begin{enumerate}[(1).]
	\item \begin{enumerate}[(i)]
		\item \begin{align*}
			F \lor (F \to G) \tag{axiom}
			\end{align*}
		\item I'll show that if $F \vdash G$ then $F \vdash G \lor H$ \begin{align*}
			G \tag{hypothesis} \\
			1 \lor H \tag{axiom} \\
			G \lor H \tag{replacement axiom}
			\end{align*}

		\item I'll show that $ (1){:}\ \exists x \exists x H \vdash \exists x H$ and $(2){:}\ \exists x H \vdash \exists x \exists x H$. These two combined imply $\vdash \exists x \exists x H \liff \exists H$. \\
		\begin{enumerate}[(1):]
			\item \begin{align*}
				\exists x \exists x H \tag{hypothesis} \\
				\exists x H \tag{f}
				\end{align*}
			\item \begin{align*}
				\exists x H \tag{hypothesis} \\
				\exists x \exists x H \tag{e}
				\end{align*}
		\end{enumerate}
		\item I'll show $\forall x (F \to G) \vdash F \to \forall x G$. \begin{align*}
			\forall x (F \to G) \tag{hypothesis} \\
			F \to G \tag{(e) and contrapositive} \\
			\lnot G \to \lnot F \tag{contrapositive} \\
			(\exists x \lnot G) \to \lnot F \tag{first rule for quantification} \\
			F \to \forall x G \tag{contrapositive}
			\end{align*}
		\item Let $F$ be $f(x,c) = f(x,c)$. Then $x = y \to ((f(x,c) = f(x,c)) \to (f(x,c) = f(y,c)))$ is an axiom. \\
		To show $\vdash x=y \to f(x,c) = f(y,c)$, I'll show that $x = y \vdash f(x,c) = f(y,c)$. \begin{align*}
				x = y \tag{hypothesis} \\
				x = y \to ((f(x,c) = f(x,c)) \to (f(x,c) = f(y,c))) \tag{axiom} \\
				f(x,c) = f(x,c) \to f(x,c) = f(y,c) \tag{modus ponens} \\
				f(x,c) = f(x,c) \tag{axiom} \\
				f(x,c) = f(y,c) \tag{modus ponens}
			\end{align*}
	\end{enumerate}
	\item $\mbc{S} \vDash F$ iff $\mbc{S} \cup \{\lnot F \}$ is not satisfiable. By compactness, this happens iff for some finite subset, $\mbc{S}_0$, of \mbc{S}, $\mbc{S}_0 \cup \{\lnot F \}$ is not satisfiable, which happens iff $\mbc{S}_0 \vDash F$. \pend
	\item \begin{enumerate}
		\item $F_n = \exists a_0 \cdots \exists a_n (a_0 = c) \land (a_n = d) \land ((\forall i)<n){} (R(a_i,a_{i+1}))$
		\item $\mbc{S}^{\textrm{np}} = \{ \lnot F_n | n \in \mbb{N}/\{0\}\}$
		\item Let $c \to \bullet \to \cdots \to \bullet \to d$ be a path of length $m$, where $m > \{n | \lnot F_n \in \mbc{S}_0 \}$. This is a model of $\mbc{S}_0$ that has a path from $c$ to $d$.
	\end{enumerate}
\end{enumerate}
\end{document}